Bug 970757 - Environment dropdowns should display environment/environment content from paths in a congruent manner
Environment dropdowns should display environment/environment content from pat...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 15:19 EDT by Corey Welton
Modified: 2014-06-19 15:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-04 13:13:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2013-06-04 15:19:16 EDT
Description of problem:
Presently, if a user has a promotion path of multiple environments (dev > qe > stage > prod), s/he is used to seeing these in a given order in the katello UI.  However, when creating a New Host Group in foreman, these show up in an alphanumeric order.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Create a promotion path in katello: dev > qe > stage > prod
2.  Begin creation of a new Host Group in foreman
3.  Observe ordering of environments

Actual results:
results show up in alphanumeric order

 dev
 prod
 qe
 stage

Expected results:
results should show up in a manner consistent with users' expectations per the katello UI
 
 dev 
 qe
 stage
 prod

Additional info:
per bug #970753, i suppose it is possible that raw environments could disappear from the dropdown completely.  however, assuming there will be some method to discern which CVD exists in an org, we should still be listing things in a manner consistent with what the user is used to seeing.
Comment 4 Bryan Kearney 2014-06-04 13:13:06 EDT
Per discussions with QE, Closing this.

Note You need to log in before you can comment on or make changes to this bug.